Package org.bukkit

# Enum Class Particle

java.lang.Object
java.lang.Enum<Particle>
org.bukkit.Particle

All Implemented Interfaces:
  `Serializable`, `Comparable<Particle>`, `Constable`

public enum Particle extends Enum<Particle>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Particle.DustOptions`
Options which can be applied to redstone dust particles - a particle color and size.
`static class`
`Particle.DustTransition`
Options which can be applied to a color transitioning dust particles.

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ASH`
`BLOCK_CRACK`
Uses `BlockData` as DataType
`BLOCK_DUST`
Uses `BlockData` as DataType
`BLOCK_MARKER`
Uses `BlockData` as DataType
`BUBBLE_COLUMN_UP`
`BUBBLE_POP`
`CAMPFIRE_COSY_SMOKE`
`CAMPFIRE_SIGNAL_SMOKE`
`CLOUD`
`COMPOSTER`
`CRIMSON_SPORE`
`CRIT`
`CRIT_MAGIC`
`CURRENT_DOWN`
`DAMAGE_INDICATOR`
`DOLPHIN`
`DRAGON_BREATH`
`DRIP_LAVA`
`DRIP_WATER`
`DRIPPING_DRIPSTONE_LAVA`
`DRIPPING_DRIPSTONE_WATER`
`DRIPPING_HONEY`
`DRIPPING_OBSIDIAN_TEAR`
`DUST_COLOR_TRANSITION`
Uses `Particle.DustTransition` as DataType
`ELECTRIC_SPARK`
`ENCHANTMENT_TABLE`
`END_ROD`
`EXPLOSION_HUGE`
`EXPLOSION_LARGE`
`EXPLOSION_NORMAL`
`FALLING_DRIPSTONE_LAVA`
`FALLING_DRIPSTONE_WATER`
`FALLING_DUST`
Uses `BlockData` as DataType
`FALLING_HONEY`
`FALLING_LAVA`
`FALLING_NECTAR`
`FALLING_OBSIDIAN_TEAR`
`FALLING_SPORE_BLOSSOM`
`FALLING_WATER`
`FIREWORKS_SPARK`
`FLAME`
`FLASH`
`GLOW`
`GLOW_SQUID_INK`
`HEART`
`ITEM_CRACK`
Uses `ItemStack` as DataType
`LANDING_HONEY`
`LANDING_LAVA`
`LANDING_OBSIDIAN_TEAR`
`LAVA`
`LEGACY_BLOCK_CRACK`
Uses `MaterialData` as DataType
`LEGACY_BLOCK_DUST`
Uses `MaterialData` as DataType
`LEGACY_FALLING_DUST`
Uses `MaterialData` as DataType
`MOB_APPEARANCE`
`NAUTILUS`
`NOTE`
`PORTAL`
`REDSTONE`
Uses `Particle.DustOptions` as DataType
`REVERSE_PORTAL`
`SCRAPE`
`SLIME`
`SMALL_FLAME`
`SMOKE_LARGE`
`SMOKE_NORMAL`
`SNEEZE`
`SNOW_SHOVEL`
`SNOWBALL`
`SNOWFLAKE`
`SOUL`
`SOUL_FIRE_FLAME`
`SPELL`
`SPELL_INSTANT`
`SPELL_MOB`
`SPELL_MOB_AMBIENT`
`SPELL_WITCH`
`SPIT`
`SPORE_BLOSSOM_AIR`
`SQUID_INK`
`SUSPENDED`
`SUSPENDED_DEPTH`
`SWEEP_ATTACK`
`TOTEM`
`TOWN_AURA`
`VIBRATION`
Uses `Vibration` as DataType
`VILLAGER_ANGRY`
`VILLAGER_HAPPY`
`WARPED_SPORE`
`WATER_BUBBLE`
`WATER_DROP`
`WATER_SPLASH`
`WATER_WAKE`
`WAX_OFF`
`WAX_ON`
`WHITE_ASH`

## Method Summary

Modifier and Type
Method
Description
`ParticleBuilder`
`builder()`
Creates a `ParticleBuilder`
`@NotNull Class<?>`
`getDataType()`
Returns the required data type for the particle
`static Particle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Particle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXPLOSION_NORMAL

public static final Particle EXPLOSION_NORMAL

### EXPLOSION_LARGE

public static final Particle EXPLOSION_LARGE

### EXPLOSION_HUGE

public static final Particle EXPLOSION_HUGE

### FIREWORKS_SPARK

public static final Particle FIREWORKS_SPARK

### WATER_BUBBLE

public static final Particle WATER_BUBBLE

### WATER_SPLASH

public static final Particle WATER_SPLASH

### WATER_WAKE

public static final Particle WATER_WAKE

### SUSPENDED

public static final Particle SUSPENDED

### SUSPENDED_DEPTH

public static final Particle SUSPENDED_DEPTH

### CRIT

public static final Particle CRIT

### CRIT_MAGIC

public static final Particle CRIT_MAGIC

### SMOKE_NORMAL

public static final Particle SMOKE_NORMAL

### SMOKE_LARGE

public static final Particle SMOKE_LARGE

### SPELL

public static final Particle SPELL

### SPELL_INSTANT

public static final Particle SPELL_INSTANT

### SPELL_MOB

public static final Particle SPELL_MOB

### SPELL_MOB_AMBIENT

public static final Particle SPELL_MOB_AMBIENT

### SPELL_WITCH

public static final Particle SPELL_WITCH

### DRIP_WATER

public static final Particle DRIP_WATER

### DRIP_LAVA

public static final Particle DRIP_LAVA

### VILLAGER_ANGRY

public static final Particle VILLAGER_ANGRY

### VILLAGER_HAPPY

public static final Particle VILLAGER_HAPPY

### TOWN_AURA

public static final Particle TOWN_AURA

### NOTE

public static final Particle NOTE

### PORTAL

public static final Particle PORTAL

### ENCHANTMENT_TABLE

public static final Particle ENCHANTMENT_TABLE

### FLAME

public static final Particle FLAME

### LAVA

public static final Particle LAVA

### CLOUD

public static final Particle CLOUD

### REDSTONE

public static final Particle REDSTONE
Uses `Particle.DustOptions` as DataType

### SNOWBALL

public static final Particle SNOWBALL

### SNOW_SHOVEL

public static final Particle SNOW_SHOVEL

### SLIME

public static final Particle SLIME

### HEART

public static final Particle HEART

### ITEM_CRACK

public static final Particle ITEM_CRACK
Uses `ItemStack` as DataType

### BLOCK_CRACK

public static final Particle BLOCK_CRACK
Uses `BlockData` as DataType

### BLOCK_DUST

public static final Particle BLOCK_DUST
Uses `BlockData` as DataType

### WATER_DROP

public static final Particle WATER_DROP

### MOB_APPEARANCE

public static final Particle MOB_APPEARANCE

### DRAGON_BREATH

public static final Particle DRAGON_BREATH

### END_ROD

public static final Particle END_ROD

### DAMAGE_INDICATOR

public static final Particle DAMAGE_INDICATOR

### SWEEP_ATTACK

public static final Particle SWEEP_ATTACK

### FALLING_DUST

public static final Particle FALLING_DUST
Uses `BlockData` as DataType

### TOTEM

public static final Particle TOTEM

### SPIT

public static final Particle SPIT

### SQUID_INK

public static final Particle SQUID_INK

### BUBBLE_POP

public static final Particle BUBBLE_POP

### CURRENT_DOWN

public static final Particle CURRENT_DOWN

### BUBBLE_COLUMN_UP

public static final Particle BUBBLE_COLUMN_UP

### NAUTILUS

public static final Particle NAUTILUS

### DOLPHIN

public static final Particle DOLPHIN

### SNEEZE

public static final Particle SNEEZE

### CAMPFIRE_COSY_SMOKE

public static final Particle CAMPFIRE_COSY_SMOKE

### CAMPFIRE_SIGNAL_SMOKE

public static final Particle CAMPFIRE_SIGNAL_SMOKE

### COMPOSTER

public static final Particle COMPOSTER

### FLASH

public static final Particle FLASH

### FALLING_LAVA

public static final Particle FALLING_LAVA

### LANDING_LAVA

public static final Particle LANDING_LAVA

### FALLING_WATER

public static final Particle FALLING_WATER

### DRIPPING_HONEY

public static final Particle DRIPPING_HONEY

### FALLING_HONEY

public static final Particle FALLING_HONEY

### LANDING_HONEY

public static final Particle LANDING_HONEY

### FALLING_NECTAR

public static final Particle FALLING_NECTAR

### SOUL_FIRE_FLAME

public static final Particle SOUL_FIRE_FLAME

### ASH

public static final Particle ASH

### CRIMSON_SPORE

public static final Particle CRIMSON_SPORE

### WARPED_SPORE

public static final Particle WARPED_SPORE

### SOUL

public static final Particle SOUL

### DRIPPING_OBSIDIAN_TEAR

public static final Particle DRIPPING_OBSIDIAN_TEAR

### FALLING_OBSIDIAN_TEAR

public static final Particle FALLING_OBSIDIAN_TEAR

### LANDING_OBSIDIAN_TEAR

public static final Particle LANDING_OBSIDIAN_TEAR

### REVERSE_PORTAL

public static final Particle REVERSE_PORTAL

### WHITE_ASH

public static final Particle WHITE_ASH

### DUST_COLOR_TRANSITION

public static final Particle DUST_COLOR_TRANSITION
Uses `Particle.DustTransition` as DataType

### VIBRATION

public static final Particle VIBRATION
Uses `Vibration` as DataType

### FALLING_SPORE_BLOSSOM

public static final Particle FALLING_SPORE_BLOSSOM

### SPORE_BLOSSOM_AIR

public static final Particle SPORE_BLOSSOM_AIR

### SMALL_FLAME

public static final Particle SMALL_FLAME

### SNOWFLAKE

public static final Particle SNOWFLAKE

### DRIPPING_DRIPSTONE_LAVA

public static final Particle DRIPPING_DRIPSTONE_LAVA

### FALLING_DRIPSTONE_LAVA

public static final Particle FALLING_DRIPSTONE_LAVA

### DRIPPING_DRIPSTONE_WATER

public static final Particle DRIPPING_DRIPSTONE_WATER

### FALLING_DRIPSTONE_WATER

public static final Particle FALLING_DRIPSTONE_WATER

### GLOW_SQUID_INK

public static final Particle GLOW_SQUID_INK

### GLOW

public static final Particle GLOW

### WAX_ON

public static final Particle WAX_ON

### WAX_OFF

public static final Particle WAX_OFF

### ELECTRIC_SPARK

public static final Particle ELECTRIC_SPARK

### SCRAPE

public static final Particle SCRAPE

### BLOCK_MARKER

public static final Particle BLOCK_MARKER
Uses `BlockData` as DataType

### LEGACY_BLOCK_CRACK

public static final Particle LEGACY_BLOCK_CRACK
Uses `MaterialData` as DataType

### LEGACY_BLOCK_DUST

public static final Particle LEGACY_BLOCK_DUST
Uses `MaterialData` as DataType

### LEGACY_FALLING_DUST

public static final Particle LEGACY_FALLING_DUST
Uses `MaterialData` as DataType

## Method Details

### values

public static Particle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Particle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getDataType

@NotNull public @NotNull Class<?> getDataType()
Returns the required data type for the particle

Returns:
  the required data type

### builder

@NotNull public ParticleBuilder builder()
Creates a `ParticleBuilder`

Returns:
  a `ParticleBuilder` for the particle